server {
    listen 3000;
    server_name localhost;

    location / {
        root   /usr/share/nginx/html;
        index  index.html index.htm;
        # This line forces Nginx to pass routing back to React Router
        try_files $uri $uri/ /index.html;
    }

    # Proxy Qdrant API requests to actual Qdrant instance
    location /qdrant/ {
        proxy_pass http://66.116.207.225:6333/;
        proxy_set_header api-key "Package@321#";
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
    }
}
